diff --git a/cnab/helm/charts/loki/templates/statefulset.yaml b/cnab/helm/charts/loki/templates/statefulset.yaml
index 80e1932..3d46893 100644
--- a/cnab/helm/charts/loki/templates/statefulset.yaml
+++ b/cnab/helm/charts/loki/templates/statefulset.yaml
@@ -53,7 +53,7 @@ spec:
       {{- end }}
       containers:
         - name: {{ .Chart.Name }}
-          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
+          image: "{{ .Values.image.repository }}@{{ .Values.image.digest }}"
           imagePullPolicy: {{ .Values.image.pullPolicy }}
           args:
             - "-config.file=/etc/loki/loki.yaml"
